
body{
    background-color: #212121;
}


#main_settings{
    width: 60vw;
    margin: 50px auto;
    max-width: 970px;
}

#h1_settings{
    color: #a3a3a3;
    font-size: 30px;
    font-weight: 500;
}

.h2_settings{
    color: #a3a3a3;
    font-size: 22px;
    font-weight: 500;
}

h3{
    font-weight: 500;
    color: #a3a3a3;
    padding: 0;
    text-align: center;
}

p{
    color: #a3a3a3;
}

.settings_header{
    border-bottom: 1px solid #363636;
    width: fit-content;
    padding: 0 10px;
    margin: 0 0 20px 2vw;
}
.settings_box{
    padding: 40px 50px;
    margin: 80px 0;
    background-color: #1C1C1C;
    border: 1px solid #363636;
    border-radius: 30px;
}

#settings_body_1{
    display: flex;
    flex-direction: row;
    padding: 30px 0;
}

#account_left,
#account_right{
    flex: 1;        /* teilt den Platz 50/50 */
    min-width: 0;
}
#account_left,
#right_wrapper{
    display: flex;
    flex-direction: column;
    gap: 40px;
}


.setting{
    display: flex;
    flex-direction: row;
}

.setting svg{
    margin: auto 0 3px;
}

.settings_description{
    margin-right: 30px;
    color: #a3a3a380;;
}

.settings_content{
    display: flex;
    flex-direction: row;
    user-select: none;
}

.settings_content:hover,
.settings_content_dropdown:hover{
    cursor: pointer;
}

.settings_p{
    margin-right: 7px;
}

.settings_dropdown{
    margin-right: 4px;
}

.settings_wrapper{
    display: flex;
}

.settings_content_dropdown{
    display: flex;
    flex-direction: column;
    position: relative;
    user-select: none;
}

.dropdown_body{
    display: none;
    z-index: 2;
    position: absolute;
    top: calc(100% + 6px);
    border: 1px solid #363636;
    border-radius: 8px;
    background-color: #1C1C1C;
    overflow: hidden;
}

.dropdown_value{
    padding: 8px;
}

.dropdown_value:hover{
    background-color: #363636;
    user-select: none;
}






.settings_lower{
  display: flex;
  justify-content: flex-end;
}

.settings_red{
    color: #EF5350;
    border: 1px solid #EF535040;
    border-radius: 8px;
    padding: 8px;
    margin-top: 20px;
    user-select: none;
}
.settings_red:hover{
    background-color: #EF535040;
    border-color: rgba(239, 83, 80, 0.0);;
    cursor: default;
}

#change_subscription{
    color: #a3a3a3;
    border-color: #363636;
    text-decoration: none;
}
#change_subscription:hover{
    background-color: #363636;
    cursor: pointer;
}

#change_subscription.is-premium {
  margin-right: 25px;
}

#settings_body_2{
    margin-bottom: 30px;
    padding-top: 30px;
    width: fit-content;
}

.device{
    display: flex;
    margin: 30px 0;
}

.device_description{
    margin-left: 20px;
    margin-right: 50px;
}

.device_p{
    color: #a3a3a380;
    margin-top: 4px;
    font-size: 13px;
}

.device_h{
    font-size: 16px;
}

.device_button{
    margin-left: auto;
    padding: 6px 10px;
    height: fit-content;
    border-radius: 8px;
    user-select: none;
}

#device_current{
    color: #26A69A;
}

.device_logout{
    color: #a3a3a3;
    border: 1px solid #363636;
}

.device_logout:hover{
    background-color: #363636;
    cursor: pointer;
    
}

#plan_body{
    padding: 30px 0;
}

#plan{
    display: flex;
    align-items: baseline;
}

#plan_h{
    font-size: 28px;
    font-weight: 600;
    margin-right: 50px;
}

#payment_info{
    display: none;
    margin-right: auto;
    margin-top: auto;
    margin-bottom: 9px;
    font-size: 13px;
    color: #a3a3a380;
}

#settings_body_3{
    width: fit-content;
    padding-top: 30px;
}

#plan_info{
    white-space: nowrap;
}

#current_plan{
    text-align: left;
}


svg {
  flex-shrink: 0;
}

#cancel_subscription{
    display: none;
}


#confirmation_body{
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100vh;
    z-index: 101;
    background: rgba(0,0,0,0.55);
}

body.no_scroll{
  overflow: hidden;
}

#confirmation_main{
    margin-bottom: 20vh;
    border: 1px solid #363636;
    border-radius: 30px;
    background-color: #1C1C1C;
    padding: 40px 50px;
    margin-right: 10vw;
    margin-left: 10vw;
    max-width: 300px;
    box-shadow: 0 0 23px 8px rgba(0, 0, 0, 0.3);
}

#confirmation_h{
    text-align: center;
    font-size: 22px;
    margin-bottom: 20px;
}

#confirmation_p{
    margin-bottom: 50px;
    font-size: 16px;
}

#confirmation_fields{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-bottom: 18px;
    gap: 12px; /* Abstand zwischen mehreren Feldern */
}

#confirmation_buttons{
    display: flex;
    justify-content: space-around;
}

#confirmation_fields input{
    width: calc(100% - 26px);
    height: 38px;
    border-radius: 8px;
    border: 1px solid #404040;
    background-color: #1c1c1c;
    color: #a3a3a3;
    padding: 0 12px;
    box-sizing: border-box;
}

#confirmation_fields input::placeholder{
  color: rgba(163, 163, 163, 0.5);
}

#confirmation_fields input:focus{
  border-color: #a3a3a3;
}

#confirmation_cancel,
#confirmation_submit{
    width: fit-content;
    padding: 10px 18px;
}

#confirmation_cancel{
    color: #a3a3a3;
    border-color: #363636;
}
#confirmation_cancel:hover{
    background-color: #363636;
    border-color: #363636;
}



#display_name_value{
  background: transparent;
  border: none;
  outline: none;
  padding: 0;
  margin: 0;
  font-family: 'Inter';
  width: auto;
  min-width: 1ch;
  max-width: 100px;
  color: #a3a3a3;
  padding-right: 20px;
}
#display_name_value[readonly]{
  cursor: pointer; /* fühlt sich klickbar an */
}

#display_name_btn{
    position: relative;
}

#display_name_btn .edit_settings{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 1ch;
  margin-left: 7px;
}






@media (max-width: 1023px){
    #h1_settings{
        text-align: center;
    }

    #settings_body_1{
        flex-direction: column;
    }

    #account_right{
        margin-top: 40px;
    }

    .settings_lower{
        flex-direction: column;
    }

    .settings_red{
        text-align: center;
        margin-right: auto;
        margin-left: auto;
        width: min(calc(100% - 25px), 400px);
    }

    #change_subscription.is-premium {
        margin-right: auto;
    }

    .device{
        flex-direction: column;
    }

    .device svg{
        margin-bottom: 10px;
    }

    .device_description{
        margin: 0;
    }

    .device_button{
        margin-top: 20px;
        margin-right: auto;
        margin-left: 15px;
        margin-bottom: 10px;
    }

    #main_settings{
        width: 80vw;
    }

    #device_current{
        padding: 0;
    }
}


@media (max-width: 550px){
    #plan{
        flex-direction: column;
    }

    #plan_info{
        margin-top: 8px;
    }

    #plan_h{
        margin-right: 0;
    }

    .device_button{
        margin-left: 0;

        
    }
}




@media (max-width: 430px){
    .setting{
        flex-direction: column;
    }

    .settings_content{
        margin-top: 12px;
    }
}